import { default as Colors } from './Colors';
export default CategoricalColors;
declare class CategoricalColors extends Colors {
    _domain: any;
    _color: d3.ScaleOrdinal<string, any, never>;
    getColor(id: any, datum: any): any;
    getColorByIndex(value: any): any;
    getColorByKey(value: any): any;
}
import * as d3 from "d3";
